#norootforbuild

%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define pear_xmldir  /var/lib/pear

Name:           php5-pear-channel-pearified_com
Version:        1.0
Release:        1.5
Summary:        Adds pearified channel to PEAR
Group:          Development/Languages
License:        BSD
URL:            http://pearified.com
Source0:        http://pearified.com/channel.xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  php5-pear
PreReq:         php5 php5-pear

%description
This package adds the pearified.com  channel which allows PEAR packages
from this channel to be installed.


%prep
%setup -q -c -T


%build
# Empty build section, nothing to build


%install

%{__mkdir_p} %{buildroot}%{pear_xmldir}
%{__install} -pm 644 %{SOURCE0} %{buildroot}%{pear_xmldir}/pearified.com.xml


%clean

%{__rm} -rf %{buildroot}


%post

if [ $1 -eq  1 ] ; then
   pear channel-add %{pear_xmldir}/pearified.com.xml > /dev/null || :
else
   pear channel-update %{pear_xmldir}/pearified.com.xml > /dev/null ||:
fi


%postun

if [ $1 -eq 0 ] ; then
   pear channel-delete pearified.com > /dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/*

